%
%  FMMA/CRC Book/JRR/JS/ExampSolSW\Example 6.2Dryden
clc
disp('-----------------------------------------------------------')
disp('Longitudinal Simulation of An Aircraft')
disp('Under Turbulence (DryDen Model)')
disp('-----------------------------------------------------------')
clear all
close all
disp('Please Hit to Continue...')
pause

format long


sgta = [0 3];       % Turbulence intensity(m/s)
symb = {'--k' 'k'};

for j=1:2
    sgt = sgta(j);
    
    % Aircraft Simulation 
    %----------------------%
            simu
    %----------------------%
    ps = char(symb(j));
    plotfig
end

% Setting legends

figure(1)
subplot(1,3,1)
legend('\sigma=0 (m/s)','\sigma=3 (m/s)',4)
figure(2)
subplot(2,2,1)
legend('\sigma=0 (m/s)','\sigma=3 (m/s)',2)
figure(3)
subplot(4,2,1)
legend('\sigma=0 (m/s)','\sigma=3 (m/s)',2)

