% 
% FMMA/CRC Book/JRR/JS/ExampSolSW\Example 6.3Trim
% File name main.m
% MATLAB script to finding Trim condition
% for C-880
clc
disp('-----------------------------------------------------------')
disp('MATLAB script to finding Trim condition')
disp('For Transport Aircraft Convair 880')
disp('For Longitudinal Motion of an Aircraft')
disp('-----------------------------------------------------------')
clear all
close all
disp('Please Hit to Continue...')
pause
clear all;clc;
% Global variables
% ----------------
global x u gamma
% Flight condition
x(1) = input('Enter Vt (ft/s):');          % Vt (ft/sec)
x(5) = input('Enter h  (ft):');           % Alt(ft)
gamma= 0;                           % flight path angle (deg)
gamma= gamma/57.3; %(in rad)
% Initial Conditions for trim routine
% -----------------------------------
cg     = 0.25; 
land   = 0;                 % 0 : clean // 1 : with landing flaps and gears
u      = [0.1 -10 cg land]; % [throttle elevator Xcg land]
x(2)   = 0.1;
x(3)   = x(2)+gamma;
x(4)   = 0;
x(6)   = 0;
% Computation of Trim values
% --------------------------
UX = trim;
% END OF THE ROUTINE