%
% FMMA CRC Book/JRR/JS/ExampSolSW\Example 8.5KF
function [Xhat,Phat,yhat,S,Nu,dflag]=ekf1(Xhat,Phat,As,Bs,Gs,H,T,z,R,Q,u,mflag)

if mflag(1)==1
    zz=[];
    for j=1:4
        if j~=mflag(2)
            zz = [zz;z(j)];
        else
            zz = [zz;0];
        end
    end
    zz=zz';
end

if mflag(1)==0
    zz= z;
end

Xtelda   = rk4int(Xhat,u,As,Bs,Gs,zeros(1,4),T); Xtelda=Xtelda';
a        = stlin(Xtelda',u,As,Bs,Gs,zeros(1,4),(1.0d-7)*Xtelda);
As       = expm(a*T);
Ptelda   = As*Phat*As' + Gs*Q*Gs';
S        = H*Ptelda*H'+R;	
K        = Ptelda * H'*inv(S);
ytelda   = H*Xtelda;
Nu       = zz-ytelda';
Xhat     = (Xtelda + K*Nu')';
Phat     = (eye(length(Xhat))-K*H)*Ptelda;                        % 6 for glint states
yhat     = H*Xhat';
dflag    = 0;


