%
% FMMA CRC BOOK/JRR/JS/ExampSolSW\Example 8.7ANFIS
function net = anfiss(P,T)

% Adaptive training

TRNOPT(1)= 100;        %: training epoch number                     (default: 10)
TRNOPT(2)= 0;          %: training error goal                       (default: 0)
TRNOPT(3)= 0.01;       %: initial step size                         (default: 0.01)
TRNOPT(4)= 0.9;        %: step size decrease rate                   (default: 0.9)
TRNOPT(5)= 1.1;        %: step size increase rate                   (default: 1.1)

numMFs   = 10;
imfType  = 'gbellmf';

data = [P T];

net   = genfis1(data,numMFs,imfType);
[d1,d2,d3,net,err1] = anfis(data,net,TRNOPT,[],data,1);
