%
% FMMA CRC BOOK/JRR/JS/ ExampSolSW\Example 9.4DFKF
function [y] = ffun(x,process_noise,G,T,u,nx);
% PURPOSE : Process model function.
% INPUTS  : - x:  The evaluation point in the domain.
% OUTPUTS : - y: The value of the function at x.
% AUTHORS  : 
% DATE     : 

if nargin < 2, error('Not enough input arguments.'); end

[N,dum] = size(x);
for i=1:N
    y(i,:) = rk4int(x(i,:),T,u(1),u(2),u(3),u(4),u(5),u(6),nx)+ (G*process_noise(i,:)')';
end





