%
%FMMA CRC BOOK/JRR/JS/ExampSolSW\Example 9.4DFKF
function [y] = hfun(x,meas_noise,xi,yi,zi,u);
% PURPOSE : Measurement model function.
% INPUTS  : - x:  The evaluation point in the domain.
% OUTPUTS : - y: The value of the function at x.
% AUTHORS  : 
% DATE     : 

global xr yr

if nargin < 2, error('Not enough input arguments.'); end

[N,dum] = size(x);
for i=1:N
       y(i,:) = meas(x(i,:),xi,yi,zi,u)'+ meas_noise(i,:);
end
