%
%FMMA CRC BOOK/JRR/JS/ExampSolSW\Example 9.4DFKF
% Jmeaslin.m//linearize measurement equations using finite differences
% Ex 7.1, calls function meas.m
% function [c] =ymodj(xin,delx,ny,nx)
function [c] = jmeaslin(xh1,xi,yi,zi,u,delx,nx,ny)
for i=1:nx 
   zip1=xh1(i);
   del2=2*delx(i);
   xh1(i)=zip1+delx(i);
   y3=meas(xh1,xi,yi,zi,u);
   xh1(i)=zip1-delx(i);
   y4=meas(xh1,xi,yi,zi,u);
   for j=1:ny
      c(j,i)=(y3(j)-y4(j))/del2;
   end
   xh1(i)=zip1;
end
   
  