%
% FMMA CRC Book/JRR/JS/ExampSolSW\Example 6.2Dryden
% Runge-kutta 4th order integration algorithm

function  [x,xp] = rk4int_turb(x,xu,xw,Vt,Lu,Lw,sgt,b,T); 

nx = length(x);
xp=state_turb(x,xu,xw,Vt,Lu,Lw,sgt,b,T);
dt=0.5*T;
for i=1:nx
    rk1(i)=dt*xp(i);
    x1(i)=x(i)+rk1(i);
end
xp=state_turb(x1,xu,xw,Vt,Lu,Lw,sgt,b,T);
for i=1:nx
    rk2(i)=dt*xp(i);
    x1(i)=x(i)+rk2(i);
end
xp=state_turb(x1,xu,xw,Vt,Lu,Lw,sgt,b,T);
for i=1:nx
    rk3(i)=dt*xp(i);
    x1(i)=x(i)+2*rk3(i);
end
xp=state_turb(x1,xu,xw,Vt,Lu,Lw,sgt,b,T);
for i=1:nx
    rk4(i)=dt*xp(i);
    x(i)=x(i)+(rk1(i)+2.0*(rk2(i)+rk3(i))+rk4(i))/3;
end


