%
% FMMA CRC Book/JRR/JS/ExampSolSW\Example 8.6AFDIA
function [Xhat,Phat,yhat,S,Nu,dflag]=akf(Xhat,Phat,As,Gs,H,T,z,R,Q)

Xtelda   = rk4int(Xhat,0,As,0,Gs,zeros(1,8),T); Xtelda=Xtelda';
a        = stlin(Xtelda',0,As,0,Gs,zeros(1,8),(1.0d-7)*Xtelda);
As       = expm(a*T);
Ptelda   = As*Phat*As' + Gs*Q*Gs';
S        = H*Ptelda*H'+R;	
K        = Ptelda * H'*inv(S);
ytelda   = H*Xtelda;
Nu       = z-ytelda';
Xhat     = (Xtelda + K*Nu')';
Phat     = (eye(length(Xhat))-K*H)*Ptelda;                        
yhat     = H*Xhat';
dflag    = 0;


