%
% FMMA CRC BOOK/JRR/JS/ExampSolSW\Example 9.4DFKF
% Meas.m// Ex 7.1
%function for computation of observation equation
function ym = meas(x,xi,yi,zi,u)

p = u(1);
q = u(2);
r = u(3);

un    = x(1)-(r*yi) + (q*zi);
vn    = x(2)-(p*zi) + (r*xi);
wn    = x(3)-(q*xi) + (p*yi);

vm    = sqrt(un^2+vn^2+wn^2);
alfm  = x(12).*atan(wn/un);
betm  = asin((vn/sqrt(un^2+vn^2+wn^2)));
phim  = x(4);
them  = x(13).*x(5);
altm  = x(6);
ym=[vm alfm betm phim them altm]';

%end of function