%
% FMMA CRC BOOK/JRR/JS/ExampSolSW\Example 9.4DFKF
% Function to generate white gaussian noise %
% N      :     Total data points
% NCH    :     Total mumber of channels 
% SEED   :     Seed number 
% n      :     Random noise ( dimension : NxNCH )

function n=noise_gen(N,SEED,NCH)
randn('seed',SEED);
n = randn(N,NCH);

for i=1:NCH
  n(:,i) = (n(:,i)- mean(n(:,i)))/std(n(:,i));
end

% End of function